#!/bin/bash

target=$(basename $1 .tex)

if [ ! -f "${target}.tex" ] ; then
     echo Not found ${target}.tex
     exit 1
fi

if [ -f "${target}.pdf" ] ; then
   [ "${target}.pdf"  -nt "${target}.tex"  ] && exit 0
fi

# 索引関連ファイル情報
indexfiles=$(
    perl -CSD -ne '
        BEGIN{ print "idx ind\n"; }
        if ( /.*newindex[{]([^{}]+)[}][{]([^{}]+)[}][{]([^{}]+)/){
             print "$2 $3\n";
        }' ${target}.tex
)


llmk --silent --clobber ${target} > /dev/null 2> /dev/null

for i in ${indexfiles} ; do
   [ -f ${target}.${i} ] && rm ${target}.${i}
done

ptex2pdf -l ${target}
echo ${indexfiles} |
    xargs -n 2 echo |
    while read idx ind ; do
         [ -f ${target}.${idx} ] && mendex -o ${target}.${ind} ${target}.${idx}
    done
ptex2pdf -l ${target}
grep -q tableofcontent ${target}.tex && ptex2pdf -l ${target}
open ${target}.pdf
